ONVIF::Device::Types::RecordingSourceInformation(3pm)

NAME
ONVIF::Device::Types::RecordingSourceInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType RecordingSourceInformation from the namespace http://www.onvif.org/ver10/schema.

A set of informative desciptions of a data source. The Search searvice allows a client to filter on recordings based on information in this structure.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   SourceId

•   Name

•   Location

•   Description

•   Address

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::RecordingSourceInformation
   SourceId =>  $some_value, # anyURI
   Name => $some_value, # Name
   Location => $some_value, # Description
   Description => $some_value, # Description
   Address =>  $some_value, # anyURI
 },

AUTHOR
Generated by SOAP::WSDL